extends ../base.jade

block scripts
  script(src="//cdn.ckeditor.com/4.4.5/standard-all/ckeditor.js")

block vars
  - var page = 'edit'
  - var schema = [{name:'seo_keywords',title:'SEO - '+__('keywords'),type:'text'},{name:'seo_description',title:'SEO - '+__('description'),type:'text'},{name: 'title_ru',required: true,title: __('theme')+' (RU)',type: 'string'},{name: 'title_en',required: true,title: __('theme')+' (EN)',type: 'string'},{name: 'tags',nested: 'id',title: __('tag_m'),type: 'select',select_type: 'multi',ajax: '/ajax/tag'},{name: 'author_id',value: session.user.id,type: 'hidden'},{name: 'html_ru',type: 'text',html: 'maxi',title: __('post_body')+' (RU)'},{name: 'html_en',type: 'text',html: 'maxi',title: __('post_body')+' (EN)'}]
  //-   - var schema = [
  //-   {
  //-     name:'seo_keywords',
  //-     title:'SEO - '+__('keywords'),
  //-     type:'text'
  //-   },
  //-   {
  //-     name:'seo_description',
  //-     title:'SEO - '+__('description'),
  //-     type:'text'
  //-   },
  //-   {
  //-     name: 'title_ru',
  //-     title: __('theme'),
  //-     required: true,
  //-     type: 'string'
  //-   },
  //-   {
  //-     name: 'title_en',
  //-     title: __('theme'),
  //-     required: true,
  //-     type: 'string'
  //-   },
  //-   {
  //-     name: 'tags',
  //-     title: __('tag_m'),
  //-     type: 'select',
  //-     nested: 'id',
  //-     select_type: 'multi',
  //-     ajax: '/ajax/tag'
  //-   },
  //-   {
  //-     name: 'author_id',
  //-     value: session.user.id,
  //-     type: 'hidden'
  //-   },
  //-   {
  //-     name: 'html_ru',
  //-     type: 'text',
  //-     html: 'maxi',
  //-     title: __('post_body')+' (RU)'
  //-   },
  //-   {
  //-     name: 'html_en',
  //-     type: 'text',
  //-     html: 'maxi',
  //-     title: __('post_body')+' (EN)'
  //-   }
  //- ]

block main
  .PW.isle
    if action === 'create'
      h2= __('new_post')
    else 
      a.toRight.Fsg(href='/post/'+ post.id +'/remove')= __('remove')
      h2= __('edit_post')


    form(method="POST", action= "/post"+(action === 'edit'? '/'+post.id : ''))
      input(type="hidden", name="_csrf", value= _csrf)
      != Html.edit_entity_form(post, schema, req.getLocale())
      button.button.active.UC(type="submit")= (action === 'create')? __('create') : __('save_changes')